# Uses of Interface
org.eclipse.core.commands.IHandler

Packages that use IHandler
Package
Description
org.eclipse.compare.internal
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.e4.core.commands.internal
org.eclipse.help.ui.internal
org.eclipse.jface.commands
Provides JFace-specific support for commands.
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.text.quickassist
This package provides the quick assist assistant add-on for an `ISourceViewer`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.internal
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.views.markers
Utility classes for working with markers in views
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of IHandler in org.eclipse.compare.internal

Classes in org.eclipse.compare.internal that implement IHandler
Modifier and Type
Class
Description
`class`
`CompareWithOtherResourceHandler`
This is a temporary replacement for CompareWithOtherResourceAction which was available from "Compare With > Other Resource...".

## Uses of IHandler in org.eclipse.core.commands

Subinterfaces of IHandler in org.eclipse.core.commands
Modifier and Type
Interface
Description
`interface`
`IHandler2`
Extend the IHandler interface to provide some context for isEnabled() requests.
Classes in org.eclipse.core.commands that implement IHandler
Modifier and Type
Class
Description
`class`
`AbstractHandler`
This class is a partial implementation of `IHandler`.
`class`
`AbstractHandlerWithState`
An abstract implementation of `IObjectWithState`.
Methods in org.eclipse.core.commands that return IHandler
Modifier and Type
Method
Description
`IHandler`
Command.`getHandler()`
Returns the current handler for this command.
`IHandler`
HandlerEvent.`getHandler()`
Returns the instance of the interface that changed.
Methods in org.eclipse.core.commands with parameters of type IHandler
Modifier and Type
Method
Description
`boolean`
Command.`setHandler(IHandler handler)`
Changes the handler for this command.
`void`
CommandManager.`setHelpContextId(IHandler handler, String helpContextId)`
Sets the help context identifier to associate with a particular handler.
Constructors in org.eclipse.core.commands with parameters of type IHandler
Modifier
Constructor
Description
``
`HandlerEvent(IHandler handler, boolean enabledChanged, boolean handledChanged)`
Creates a new instance of this class.

## Uses of IHandler in org.eclipse.debug.ui.actions

Classes in org.eclipse.debug.ui.actions that implement IHandler
Modifier and Type
Class
Description
`class`
`DebugCommandHandler`
Abstract base class for re-targeting command framework handlers, which delegate execution to `IDebugCommandHandler` handlers.

## Uses of IHandler in org.eclipse.e4.core.commands.internal

Classes in org.eclipse.e4.core.commands.internal that implement IHandler
Modifier and Type
Class
Description
`class`
`HandlerServiceHandler`
Provide an IHandler to delegate calls to.
Methods in org.eclipse.e4.core.commands.internal that return IHandler
Modifier and Type
Method
Description
`static IHandler`
HandlerServiceImpl.`getHandler(String commandId)`
Methods in org.eclipse.e4.core.commands.internal with parameters of type IHandler
Modifier and Type
Method
Description
`void`
ICommandHelpService.`setHelpContextId(IHandler handler, String contextId)`
Assigns the help context ID to the command handler.

## Uses of IHandler in org.eclipse.help.ui.internal

Classes in org.eclipse.help.ui.internal that implement IHandler
Modifier and Type
Class
Description
`class`
`CloseHelpTrayHandler`
The command handler that gets invoked when the "Close User Assistance Tray" command is invoked.

## Uses of IHandler in org.eclipse.jface.commands

Classes in org.eclipse.jface.commands that implement IHandler
Modifier and Type
Class
Description
`final class`
`ActionHandler`
This class adapts instances of `IAction` to `IHandler`.

## Uses of IHandler in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist that return IHandler
Modifier and Type
Method
Description
`final IHandler`
ContentAssistant.`getHandler(String commandId)`
Returns the handler for the given command identifier.
`IHandler`
IContentAssistantExtension4.`getHandler(String commandId)`
Returns the handler for the given command identifier.
Methods in org.eclipse.jface.text.contentassist with parameters of type IHandler
Modifier and Type
Method
Description
`protected final void`
ContentAssistant.`registerHandler(String commandId, IHandler handler)`
Registers the given handler under the given command identifier.

## Uses of IHandler in org.eclipse.jface.text.quickassist

Methods in org.eclipse.jface.text.quickassist that return IHandler
Modifier and Type
Method
Description
`IHandler`
IQuickAssistAssistantExtension.`getHandler(String commandId)`
Returns the handler for the given command identifier.
`final IHandler`
QuickAssistAssistant.`getHandler(String commandId)`
Returns the handler for the given command identifier.

## Uses of IHandler in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source that return IHandler
Modifier and Type
Method
Description
`IHandler`
ContentAssistantFacade.`getHandler(String commandId)`
Returns the handler for the given command identifier.

## Uses of IHandler in org.eclipse.team.ui.mapping

Classes in org.eclipse.team.ui.mapping that implement IHandler
Modifier and Type
Class
Description
`class`
`MergeActionHandler`
An abstract superclass that enables models to create handlers for the basic merge operations (merge, overwrite and mark-as-merged).
Methods in org.eclipse.team.ui.mapping that return IHandler
Modifier and Type
Method
Description
`static IHandler`
MergeActionHandler.`getDefaultHandler(String mergeActionId, ISynchronizePageConfiguration configuration)`
Return an instance of the default handler for the given merge action id.
Methods in org.eclipse.team.ui.mapping with parameters of type IHandler
Modifier and Type
Method
Description
`protected void`
SynchronizationActionProvider.`registerHandler(String actionId, IHandler handler)`
Register the handler as the handler for the given action id when a merge action is performed on elements that match this groups enablement.

## Uses of IHandler in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands with parameters of type IHandler
Modifier and Type
Method
Description
`void`
ICommandService.`setHelpContextId(IHandler handler, String helpContextId)`
Sets the help context identifier to associate with a particular handler.

## Uses of IHandler in org.eclipse.ui.editors.text

Classes in org.eclipse.ui.editors.text that implement IHandler
Modifier and Type
Class
Description
`class`
`FileBufferOperationHandler`
Operation handler for a file buffer.

## Uses of IHandler in org.eclipse.ui.handlers

Classes in org.eclipse.ui.handlers that implement IHandler
Modifier and Type
Class
Description
`class`
`CollapseAllHandler`
Collapse a tree viewer.
`class`
`ExpandAllHandler`
Expand a tree viewer.
`final class`
`ShowPerspectiveHandler`
Shows the given perspective.
`final class`
`ShowViewHandler`
Shows the given view.
Methods in org.eclipse.ui.handlers that return IHandler
Modifier and Type
Method
Description
`IHandler`
IHandlerActivation.`getHandler()`
Returns the handler that should be activated.
Methods in org.eclipse.ui.handlers with parameters of type IHandler
Modifier and Type
Method
Description
`IHandlerActivation`
IHandlerService.`activateHandler(String commandId, IHandler handler)`
Activates the given handler within the context of this service.
`IHandlerActivation`
IHandlerService.`activateHandler(String commandId, IHandler handler, Expression expression)`
Activates the given handler within the context of this service.
`IHandlerActivation`
IHandlerService.`activateHandler(String commandId, IHandler handler, Expression expression, boolean global)`
Activates the given handler within the context of this service.
`IHandlerActivation`
IHandlerService.`activateHandler(String commandId, IHandler handler, Expression expression, int sourcePriorities)`
Deprecated.
Use `IHandlerService.activateHandler(String, IHandler, Expression)` instead.
`void`
IHandlerService.`setHelpContextId(IHandler handler, String helpContextId)`
Sets the help context identifier to associate with a particular handler.

## Uses of IHandler in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IHandler
Modifier and Type
Class
Description
`class`
`AbstractEnabledHandler`
Abstract base class that provides the enabled state, where changing the state fires the HandlerEvent.
`class`
`AbstractEvaluationHandler`
This internal class serves as a foundation for any handler that would like its enabled state controlled by core expressions and the IEvaluationService.
`class`
`ActivateEditorHandler`
Activates the most recently used editor in the current window.
`class`
`CloseAllHandler`
Closes all active editors
`class`
`CloseEditorHandler`
Closes the active editor.
`class`
`CloseOthersHandler`
Closes all editors except the one that is active.
`class`
`CycleEditorHandler`
This is the handler for NextEditor and PrevEditor commands.
`class`
`CyclePerspectiveHandler`
This handler is used to switch between perspectives using the keyboard.
`class`
`CycleViewHandler`
This handler is used to switch between parts using the keyboard.
`class`
`FilteredTableBaseHandler`
Base class to open a dialog to filter and select elements of a `Table`.
`class`
`PersistWorkbenchHandler`
`class`
`ShowInHandler`
The show in command, which only needs a target id.
`class`
`ShowPartPaneMenuHandler`
Show the menu on top of the icon in the view or editor label.
`class`
`ShowViewMenuHandler`
Shows the View Menu
`class`
`SplitHandler`
Our sample handler extends AbstractHandler, an IHandler base class.
`class`
`WorkbenchEditorsHandler`
Opens a dialog showing all open editors and the recently closed editors.
`class`
`WorkbenchHandlerServiceHandler`
`class`
`WorkbookEditorsHandler`
Shows a list of open editor and parts in the current or last active workbook.

## Uses of IHandler in org.eclipse.ui.texteditor

Classes in org.eclipse.ui.texteditor that implement IHandler
Modifier and Type
Class
Description
`final class`
`TextZoomInHandler`
`final class`
`TextZoomOutHandler`

## Uses of IHandler in org.eclipse.ui.views.markers

Classes in org.eclipse.ui.views.markers that implement IHandler
Modifier and Type
Class
Description
`class`
`MarkerViewHandler`
MarkerViewHandler is the abstract class of the handlers for the `MarkerSupportView`

## Uses of IHandler in org.eclipse.ui.views.properties

Classes in org.eclipse.ui.views.properties that implement IHandler
Modifier and Type
Class
Description
`class`
`NewPropertySheetHandler`